#!/bin/tcsh -f

#  fb2odg 
#  by Ruediger Arnold, 31.08.2012


echo "*************************************"
echo "* EXTRACT FRAME HEIGHT FROM ODG-FILES"
echo "*************************************"


# Preparation

cd $treeDir
mkdir $workOdgDir
cd $workOdgDir
ls -la $odgDir > file_list.txt


# start extraction in the right directory

$perl $scriptDir/extract_frame_height.pl do

echo "************************************* "
echo "* Merge new frame with the old frames "
echo "**************************************"

$perl $scriptDir/extract_frame_height_merge_new_old.pl $treeDataDir/data_file_frame_height.txt $workOdgDir/data_file_frame_height.txt

echo "** Remove ODG Files"
rm $odgDir/i*.odg

cp $workOdgDir/data_file_frame_height_merged_new_old.txt $treeDataDir/data_file_frame_height.txt


echo "** Clean Up Work Dir"

cd $treeDir
rm -rf $workOdgDir


