#!/bin/tcsh -f

#  fb2odg
#  by Ruediger Arnold, 25.09.2012


echo "*"
echo "**********************"
echo "* SAVE TREE Files"
echo "**********************"

cd $treeDir

if ( $#argv == 0 ) then
echo "*"
echo "* Benutzung: "
echo "   "do8_save.bat <tree_name>""
echo "* Kein Dateiname angegeben. Nichts kopiert!"
echo "*"
echo "* Bitte geben Sie noch dem Namen"
echo "* der zu erzeugenden Dateien an (siehe Anleitung)!"
echo "*"
echo "* Beispiel:"
echo "  "do8_save.sh Schmidt_Mueller_20120925" "
echo "*"
exit
endif

if ( -x $resultDir/$1 ) then
echo "**"
echo "** ERROR: Das Verzeichnis $1"
echo "**"  $resultDir/$1
echo "** gibt es schon. Nichts kopiert!"
echo "**"
exit
endif

   
$perl $scriptDir/save_tree.pl $treeDataDir/data_file_position.txt $1

