#!/bin/tcsh -f

#  fb2odg
#  by Ruediger Arnold, 24.03.2013


echo "****************************"
echo "* PREPARE TREE CONSTRUCTION"
echo "****************************"

cd $treeDir

if ( -x $workOdgDir ) then
  # remove a old work directory, if there is one
  rm -rf $workOdgDir
endif

mkdir $workOdgDir
cd $workOdgDir

$unzip $treeTempDir/example_tree.odg

cp content.xml $treeDir/content_example.xml
cp styles.xml $treeDir/styles_example.xml
cp META-INF/manifest.xml $treeDir/manifest_example.xml

cd $treeDir

